## licenserecon 1.0

=== Makefile ===
# Makefile for licenserecon
# Copyright : 2023 P Blackman
# License   : BSD-2-clause

lrc: lrc.pas dep5.pp fpc.cfg
	fpc lrc
	
clean:
	-rm *.o
	-rm lrc

=== debian/changelog ===
licenserecon (1.0) unstable; urgency=medium

  * Initial release. Closes: #1056605

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 24 Nov 2023 10:00:00 +0000

=== debian/control ===
Source: licenserecon
Section: utils
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Homepage: https://salsa.debian.org/PeterB/licenserecon
Build-Depends:
 debhelper-compat (= 13),
 fp-compiler,
 fp-units-fcl,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/PeterB/licenserecon.git
Vcs-Browser: https://salsa.debian.org/PeterB/licenserecon

Package: licenserecon
Architecture: any
Multi-Arch: foreign
Depends:
 licensecheck,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Reconcile licenses from debian/copyright against licensecheck
 Uses licensecheck to determine file licences,
 and if not 'UNKNOWN', checks them against Dep5 debian/copyright.

## licenserecon 1.1

=== Makefile ===
# Makefile for licenserecon
# Copyright : 2023 P Blackman
# License   : BSD-2-clause

# Add -gl -dDEBUG to debug
CFLAGS  = -Cg -Sj- -Co -Ci -Cr -CR -Sa -vwh -O4

# -pie not working om ppc64el
ifeq ($(DEB_HOST_ARCH),ppc64el)
  LDFLAGS = -k-znow
else
  LDFLAGS = -k-pie -k-znow
endif
  
lrc: lrc.pas dep5.pp
	fpc $(CFLAGS) $(LDFLAGS) lrc

clean:
	-rm *.o
	-rm lrc

=== debian/changelog ===
licenserecon (1.1) unstable; urgency=medium

  * Move Vcs to debian group
  * Fix blhc error
  * Move compiler options to Makefile
  * Fix some false positives
  * Fix autopkgtest on ppc64el

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 19 Dec 2023 12:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Homepage: https://salsa.debian.org/PeterB/licenserecon
+Homepage: https://salsa.debian.org/debian/licenserecon
 Build-Depends:
  debhelper-compat (= 13),
  fp-compiler,
  fp-units-fcl,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/PeterB/licenserecon.git
-Vcs-Browser: https://salsa.debian.org/PeterB/licenserecon
+Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
+Vcs-Browser: https://salsa.debian.org/debian/licenserecon
 
 Package: licenserecon
 Architecture: any

=== debian/tests/control ===
# Autopkgtest for licencerecon
#
# Copyright : 2023 P Blackman
# License   : BSD-2-clause
#
# Use the package to test itself
# Test should pass!

Test-Command: lrc
Depends: @
Restrictions: build-needed

## licenserecon 1.2

=== debian/changelog ===
licenserecon (1.2) unstable; urgency=medium

  * Add custom Salsa yml files
  * Initial check that d/copyright exists
  * Fix false positives for BSD-3-Clause, Appstream metadata, dep5 & 'GPL V3'
  * Add Simon Josefsson to Uploaders
  * Override lintian -fpie warning on ppc64el
  *  (Program won't run with -fpie on this arch)

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 30 Dec 2023 15:21:21 +0000

## licenserecon 1.3

=== debian/changelog ===
licenserecon (1.3) unstable; urgency=medium

  * Fix false positive for BSD-2-Clause

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 03 Jan 2024 11:00:00 +0000

## licenserecon 1.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
   LDFLAGS = -k-pie -k-znow
 endif
   
-lrc: lrc.pas dep5.pp
+lrc: lrc.pas dep5.pp gpl.pp
 	fpc $(CFLAGS) $(LDFLAGS) lrc
 
 clean:

=== debian/changelog ===
licenserecon (1.4) unstable; urgency=medium

  * Use case insenstive comparison
  * Add watch file 

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 03 Jan 2024 15:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Peter Blackman <peter@pblackman.plus.com>
+Uploaders: Simon Josefsson <simon@josefsson.org>
 Homepage: https://salsa.debian.org/debian/licenserecon
 Build-Depends:
  debhelper-compat (= 13),

=== debian/watch ===
version=4
 opts="mode=git, pgpmode=none" \
 https://salsa.debian.org/debian/licenserecon.git \
 refs/tags/debian/([\d\.]+) debian

## licenserecon 1.7

=== Makefile ===
# Makefile for licenserecon
# Copyright : 2023 P Blackman
# License   : BSD-2-clause

# Add -gl -dDEBUG to debug
CFLAGS  = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vwh -O4

# -pie not working om ppc64el
ifeq ($(DEB_HOST_ARCH),ppc64el)
  LDFLAGS = -k-znow
else
  LDFLAGS = -k-pie -k-znow
endif
  
lrc: lrc.pas dep5.pp gpl.pp options.pp
	fpc $(CFLAGS) $(LDFLAGS) lrc

clean:
	-rm *.o
	-rm lrc

=== debian/changelog ===
licenserecon (1.7) unstable; urgency=medium

  * Lintian override for missing libexec man pages no longer needed
  * autopkgtests --struct test also needs --long to produce an output
  * Fix repeated header output on --long option

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 15 Feb 2024 11:00:00 +0000

licenserecon (1.6) unstable; urgency=medium

  * Add options; help, version, terse, long, struct. Closes: #1061306
  * Extend autopkgtests to include options (Don't need build-needed)
  * Add dpkg-dev to depends (changelog parsing to get version info)

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 14 Feb 2024 16:00:00 +0000

licenserecon (1.5) unstable; urgency=medium

  * Better handling of problematic file names, including hidden folders
  * Use shortstrings for licence names

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 09 Feb 2024 11:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
+ dpkg-dev,
  licensecheck,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: Compiling(.+)"

%:
	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,12 @@
 
 Test-Command: lrc
 Depends: @
-Restrictions: build-needed
+
+Test-Command: lrc -l
+Depends: @
+
+Test-Command: lrc -l -s
+Depends: @
+
+Test-Command: lrc -h
+Depends: @

## licenserecon 1.10.1

=== debian/changelog ===
licenserecon (1.10.1) unstable; urgency=medium

  * Remove unwanted local files from source tarball

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 01 Apr 2024 16:42:00 +0100

licenserecon (1.10) unstable; urgency=medium

  * Add French, Italian, Spanish, Portuguese & Swedish translations of ReadMe

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 29 Mar 2024 12:00:00 +0000

licenserecon (1.9.1) unstable; urgency=medium

  * Restore ReadMe file. Closes: #1067668

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 25 Mar 2024 11:36:00 +0000

licenserecon (1.9) unstable; urgency=medium

  * Reformat source as separate units
  * Exclude more autogenerated Autotools files
  * Extract license from Appstream metadata files

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 24 Mar 2024 12:00:00 +0000

licenserecon (1.8) unstable; urgency=medium

  * Exclude autogenerated Autotools files
  * Include excluded files in autopkgtest
  * Update ReadMe

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 22 Mar 2024 12:00:00 +0000

## licenserecon 1.11

=== Makefile ===
# Makefile for licenserecon
# Copyright : 2023-2024 P Blackman
# License   : BSD-2-clause

# Add -gl -dDEBUG to debug
CFLAGS  = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4

# -pie not working om ppc64el
ifeq ($(DEB_HOST_ARCH),ppc64el)
  LDFLAGS = -k-znow
else
  LDFLAGS = -k-pie -k-znow
endif

lrc: *.pas
	fpc $(CFLAGS) $(LDFLAGS) lrc.pas

clean:
	-rm *.o
	-rm *.ppu
	-rm lrc

=== debian/changelog ===
licenserecon (1.11) unstable; urgency=medium

  * Handle truncated d/copyright
  * Fix some false positives for LGPL2.1+ misdetects. Closes: #1073538
  * Standards 4.7.0  (No changes)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 17 Jun 2024 16:00:00 +0100

## licenserecon 1.12

=== debian/changelog ===
licenserecon (1.12) unstable; urgency=medium

  * Fix memory leak
  * Fix a false positive for GPL-2+
  * Mention Salsa CI Pipeline tip in ReadMe

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 12 Jul 2024 15:48:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  fp-compiler,
  fp-units-fcl,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
 Vcs-Browser: https://salsa.debian.org/debian/licenserecon

## licenserecon 1.13

=== debian/changelog ===
licenserecon (1.13) unstable; urgency=medium

  * Fix false positive on Apache license
  * Update copyright dates
  * Add Static-Build-Using to d/control

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 23 Jul 2024 10:53:40 +0100

=== debian/control ===
--- 
+++ 
@@ -21,6 +21,9 @@
  licensecheck,
  ${misc:Depends},
  ${shlibs:Depends},
+Static-Built-Using:
+ fp-compiler,
+ fp-units-fcl,
 Description: Reconcile licenses from debian/copyright against licensecheck
  Uses licensecheck to determine file licences,
  and if not 'UNKNOWN', checks them against Dep5 debian/copyright.

## licenserecon 1.14

=== debian/changelog ===
licenserecon (1.14) unstable; urgency=medium

  * Fix false positive on 'with Autoconf' licenses

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 25 Jul 2024 16:28:42 +0100

## licenserecon 1.17.1

=== Makefile ===
--- 
+++ 
@@ -18,4 +18,5 @@
 clean:
 	-rm *.o
 	-rm *.ppu
+	-rm *.res
 	-rm lrc

=== debian/changelog ===
licenserecon (1.17.1) unstable; urgency=medium
  * Fix changelog day of week

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 30 Aug 2024 10:36:00 +0100

licenserecon (1.17) unstable; urgency=medium
  * Load exclusions from data files  Closes: #1078100

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 29 Aug 2024 11:19:47 +0100

licenserecon (1.16) unstable; urgency=medium

  * Add ReadMe in German
  * Add description of options to man page  Closes: #1078072
  * Workaround for GFDL-NIV license         Closes: #1078099
  * Workaround for Apache-2.0 license       Closes: #1078473
  * Show the help (ReadMe) if no d/copyright found
  * Add some extra excluded files
  * Drop Static-Build_Using from d/control
  * Drop OpenFile failure warning
  * Clean *.res files

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 26 Aug 2024 18:32:08 +0100

licenserecon (1.15) unstable; urgency=medium

  * Use English ReadMe as default
  * -h & -v options now work without a source package
  * Remove license, add Makefile.in.in from excluded files. Closes: #1078564

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 24 Aug 2024 15:53:29 +0100

=== debian/tests/control ===
# Autopkgtest for licencerecon
#
# Copyright : 2023-2024 P Blackman
# License   : BSD-2-clause
#
# Use the package to test itself
# Tests should pass!

Test-Command: lrc -t
Depends: @

Test-Command: lrc -v
Depends: @

Test-Command: lrc -l
Depends: @

Test-Command: lrc -l -s
Depends: @

Test-Command: lrc -h
Depends: @

## licenserecon 1.18

=== debian/changelog ===
licenserecon (1.18) unstable; urgency=medium

  * Add option to use SPDX license short names  Closes: #1081206
  * Add warning if no Files: Paragraph for debain/

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 09 Sep 2024 13:50:37 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,9 @@
 execute_before_dh_auto_build:
 	@echo "blhc: ignore-line-regexp: Compiling(.+)"
 
+# default to english readme
+override_dh_link:
+	dh_link usr/share/doc/licenserecon/ReadMe usr/share/doc/licenserecon/ReadMe.en
+
 %:
 	dh $@

## licenserecon 1.19

=== debian/changelog ===
licenserecon (1.19) unstable; urgency=medium

  * Allow options to be specified in debian/lrc.config Closes: #1081271
  * Add yamllint to autopkgtest
  * Update foreign language ReadMe files
  * Salsa CI variable for lrc options,
  *   SALSA_CI_LICENSERECON_OPTIONS
  * In Files: paragraph, check for 'debian/' on continution line
  * Fix regression in 1.18 re GPL licenses

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 11 Sep 2024 14:57:46 +0100

## licenserecon 2.0

=== Makefile ===
--- 
+++ 
@@ -12,11 +12,20 @@
   LDFLAGS = -k-pie -k-znow
 endif
 
-lrc: *.pas
+lrc: *.pas po/*.po
 	fpc $(CFLAGS) $(LDFLAGS) lrc.pas
+	rstconv -i rstrings.rsj -o po/lrc.pot
+	msgfmt -cv po/de.po -o po/de.mo
+	msgfmt -cv po/es.po -o po/es.mo
+	msgfmt -cv po/fr.po -o po/fr.mo
+	msgfmt -cv po/it.po -o po/it.mo
+	msgfmt -cv po/pt.po -o po/pt.mo
+	msgfmt -cv po/sv.po -o po/sv.mo
 
 clean:
 	-rm *.o
 	-rm *.ppu
 	-rm *.res
+	-rm *.rsj
+	-rm po/*.mo
 	-rm lrc

=== debian/changelog ===
licenserecon (2.0) unstable; urgency=medium

  * Typo in lrc.config
  * Internationalise

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 22 Sep 2024 20:56:25 +0100

## licenserecon 2.1

=== Makefile ===
--- 
+++ 
@@ -2,8 +2,14 @@
 # Copyright : 2023-2024 P Blackman
 # License   : BSD-2-clause
 
-# Add -gl -dDEBUG to debug
-CFLAGS  = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
+# Add -gl -dDEBUG to CFLAGS to debug
+
+# code won't compile in PIC mode on m68k 
+ifeq ($(DEB_HOST_ARCH),m68k)
+  CFLAGS = Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
+else
+  CFLAGS = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
+endif
 
 # -pie not working om ppc64el
 ifeq ($(DEB_HOST_ARCH),ppc64el)

=== debian/changelog ===
licenserecon (2.1) unstable; urgency=medium

  * Fix compile on m68k
  * Fix a false positive with GPL-3+

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 18 Oct 2024 17:21:09 +0100

## licenserecon 2.2

=== debian/changelog ===
licenserecon (2.2) unstable; urgency=medium

  * Fix naming of configuration file in man page  Closes: #1086136

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 27 Oct 2024 11:15:10 +0000

## licenserecon 2.3

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # code won't compile in PIC mode on m68k 
 ifeq ($(DEB_HOST_ARCH),m68k)
-  CFLAGS = Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
+  CFLAGS = -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
 else
   CFLAGS = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
 endif

=== debian/changelog ===
licenserecon (2.3) unstable; urgency=medium

  * Fix closes bug number in previous entry
  * man page formatting
  * Recursive directory parsing for d/copyright  Closes: #1086136

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 29 Oct 2024 09:35:15 +0000

## licenserecon 3.0

=== debian/changelog ===
licenserecon (3.0) unstable; urgency=medium

  * Fix false postitive for LGPL2.1+ license
  * Show licensecheck info verbatim in long option

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 01 Nov 2024 12:17:03 +0000

## licenserecon 3.1

=== debian/changelog ===
licenserecon (3.1) unstable; urgency=medium

  * Fix false postitive for GPL2+/GPL3+ licenses in SPDX mode Closes: #1087729

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 21 Nov 2024 22:25:48 +0000

## licenserecon 3.2

=== Makefile ===
--- 
+++ 
@@ -6,9 +6,9 @@
 
 # code won't compile in PIC mode on m68k 
 ifeq ($(DEB_HOST_ARCH),m68k)
-  CFLAGS = -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
+  CFLAGS = -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4 -XX
 else
-  CFLAGS = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4
+  CFLAGS = -Cg -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4 -XX
 endif
 
 # -pie not working om ppc64el

=== debian/changelog ===
licenserecon (3.2) unstable; urgency=medium

  * Fix a false postitive for LGPL2.1+ license  Closes: #1088114

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 27 Nov 2024 16:26:03 +0000

## licenserecon 3.3

=== debian/changelog ===
licenserecon (3.3) unstable; urgency=medium

  * Rename GPL2 module
  * Fix misdetection of RSA license as NTP
  * Fix misdetection of EPL license, Closes: #1087028
  * Add test files for above fixes and simplify d/copyright
  * Allow 'or' in d/copyright to match licensecheck's 'and/or'

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 01 Jan 2025 11:03:17 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  debhelper-compat (= 13),
  fp-compiler,
  fp-units-fcl,
+ fp-utils,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
@@ -21,9 +22,6 @@
  licensecheck,
  ${misc:Depends},
  ${shlibs:Depends},
-Static-Built-Using:
- fp-compiler,
- fp-units-fcl,
 Description: Reconcile licenses from debian/copyright against licensecheck
  Uses licensecheck to determine file licences,
  and if not 'UNKNOWN', checks them against Dep5 debian/copyright.

## licenserecon 3.4

=== debian/changelog ===
licenserecon (3.4) unstable; urgency=medium

  * Remove dependency on dpkg-dev
  * Correct config file name in /usr/share/lrc/lrc.config

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 13 Jan 2025 20:57:39 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- dpkg-dev,
  licensecheck,
  ${misc:Depends},
  ${shlibs:Depends},

## licenserecon 3.5

=== debian/changelog ===
licenserecon (3.5) unstable; urgency=medium

  * man page formatting
  * Add d/gbp.conf
  * Show full package names in --version option

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 01 Feb 2025 15:07:10 +0000

## licenserecon 3.6

=== debian/changelog ===
licenserecon (3.6) unstable; urgency=medium

  * Workaround for misdetection of PSF-2 license
  * Standards 4.7.1  (No changes)
  * Override lintian false positive on newer-standards-version

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 23 Feb 2025 16:50:41 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  fp-compiler,
  fp-units-fcl,
  fp-utils,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
 Vcs-Browser: https://salsa.debian.org/debian/licenserecon

## licenserecon 4.0

=== debian/changelog ===
licenserecon (4.0) unstable; urgency=medium

  * Remove autotools files and directories from excluded list, Closes: #1099768
  * Standards 4.7.2  (No changes)

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 09 Mar 2025 13:06:35 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  fp-compiler,
  fp-units-fcl,
  fp-utils,
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
 Vcs-Browser: https://salsa.debian.org/debian/licenserecon

## licenserecon 4.1

=== debian/changelog ===
licenserecon (4.1) unstable; urgency=medium

  * Remove lintian override on newer-standards-version
  * Move ReadMe to top level directory
  * Fix output of French & German help

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 31 Mar 2025 09:45:14 +0100

## licenserecon 4.2

=== debian/changelog ===
licenserecon (4.2) unstable; urgency=medium

  * Improve workarounds where lcheck detects unversioned GPL

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 07 Apr 2025 15:23:17 +0100

## licenserecon 5.0

=== debian/changelog ===
licenserecon (5.0) unstable; urgency=medium

  * Move some routines and global variable to smaller unit
  * Split lrc.pas in smaller units
  * Add test file for PSF-2 license
  * Workaround for 0BSD OR ... license, Closes: #1102108
  * Workaround where gpl-3.0 URL in file header

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 03 May 2025 18:15:03 +0100

## licenserecon 6.0

=== debian/changelog ===
licenserecon (6.0) unstable; urgency=medium

  * Replace options 'struct' with 'format', and 'terse' with 'short'
  * Add warning if short option used
  * Update translations, ReadMe & man page.

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 11 May 2025 20:30:05 +0100

## licenserecon 7.0

=== debian/changelog ===
licenserecon (7.0) unstable; urgency=medium

  * Code refactoring
  * Close all opened files

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 09 Aug 2025 09:24:41 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -7,16 +7,17 @@
 # Tests should pass!
 
 Test-Command: lrc -t
-Depends: @
 
 Test-Command: lrc -v
-Depends: @
 
 Test-Command: lrc -l
-Depends: @
 
 Test-Command: lrc -l -s
-Depends: @
 
 Test-Command: lrc -h
-Depends: @
+
+Test-Command: yamllint debian/salsa-ci.yml
+Depends: @, yamllint
+
+Test-Command: yamllint debian/licenserecon.yml
+Depends: @, yamllint

## licenserecon 8.0

=== debian/changelog ===
licenserecon (8.0) unstable; urgency=medium

  * Check values of SPDX-License-Identifier in source. Closes issue~7
  * Detect globbing patterns out or order. Closes: #1111676
  * Remove superseded debian/*.yml files
  *  Now use SALSA_CI_DISABLE_LICENSERECON (=0)
  * Remove redundant rules-requires-root

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 30 Sep 2025 17:52:22 +0100

## licenserecon 8.1

=== debian/changelog ===
licenserecon (8.1) unstable; urgency=medium

  * Code refactoring
  * Check globbing pattern order via wildcard count Closes: #1111676

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 03 Oct 2025 17:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
  fp-units-fcl,
  fp-utils,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
 Vcs-Browser: https://salsa.debian.org/debian/licenserecon

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: Compiling(.+)"

# Compressed language help files don't display (defaults to English)
override_dh_compress:
	dh_compress -XReadMe

%:
	dh $@

=== debian/tests/control ===
--- 
+++ 
@@ -15,9 +15,3 @@
 Test-Command: lrc -l -s
 
 Test-Command: lrc -h
-
-Test-Command: yamllint debian/salsa-ci.yml
-Depends: @, yamllint
-
-Test-Command: yamllint debian/licenserecon.yml
-Depends: @, yamllint

## licenserecon 9.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 # Add -gl -dDEBUG to CFLAGS to debug
 
-# code won't compile in PIC mode on m68k 
+# code won't compile in PIC mode on m68k
 ifeq ($(DEB_HOST_ARCH),m68k)
   CFLAGS = -Sj- -Co -Ci -Cr -CR -Sa -Sh- -vhqw -O4 -XX
 else

=== debian/changelog ===
licenserecon (9.0) unstable; urgency=medium

  * Provide /usr/bin/licenserecon  Closes: #1119846
  * Use license aliases            Closes: #1119932
  * Drop use of lrc.excludes (use lrc.config)

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 04 Nov 2025 17:38:16 +0000

=== debian/control ===
--- 
+++ 
@@ -21,5 +21,5 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Description: Reconcile licenses from debian/copyright against licensecheck
- Uses licensecheck to determine file licences,
+ lrc uses licensecheck to determine file licences,
  and if not 'UNKNOWN', checks them against Dep5 debian/copyright.

## licenserecon 10.0

=== debian/changelog ===
licenserecon (10.0) unstable; urgency=medium

  * Add license alias for Expat/MIT Closes: #1123511
  * Fix regression re Help option

 -- Peter Blackman <peterb@debian.org>  Wed, 17 Dec 2025 18:24:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: licenserecon
 Section: utils
 Priority: optional
-Maintainer: Peter Blackman <peter@pblackman.plus.com>
+Maintainer: Peter Blackman <peterb@debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>
 Homepage: https://salsa.debian.org/debian/licenserecon
 Build-Depends:

## licenserecon 11.0

=== debian/changelog ===
licenserecon (11.0) unstable; urgency=medium

  * Add test file for 0BSD
  * Replace some custom check routines with license aliases
  * Update copyright dates
  * Update email address in d/copyright
  * Update Standards to 4.7.3 (Remove Priority:)

 -- Peter Blackman <peterb@debian.org>  Thu, 01 Jan 2026 19:56:55 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: licenserecon
 Section: utils
-Priority: optional
 Maintainer: Peter Blackman <peterb@debian.org>
 Uploaders: Simon Josefsson <simon@josefsson.org>
 Homepage: https://salsa.debian.org/debian/licenserecon
@@ -9,7 +8,7 @@
  fp-compiler,
  fp-units-fcl,
  fp-utils,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/debian/licenserecon.git
 Vcs-Browser: https://salsa.debian.org/debian/licenserecon

## licenserecon 11.1

=== debian/changelog ===
licenserecon (11.1) unstable; urgency=medium

  * Refactoring
  * Change comment style (fixed issue with duck)
  * Update comment in lrc.config re directory exclusions. Closes: #1128312

 -- Peter Blackman <peterb@debian.org>  Fri, 20 Feb 2026 19:54:02 +0000

## licenserecon 12.0

=== debian/changelog ===
licenserecon (12.0) unstable; urgency=medium

  * Reset variable inside loop. Closes: #1128814

 -- Peter Blackman <peterb@debian.org>  Mon, 23 Feb 2026 11:22:12 +0000
